package main

import (
	"log"
	"ocl/portainer-devtool/configs"
	"ocl/portainer-devtool/tasks"
)

func main() {
	config, err := configs.GetConfig()
	if err != nil {
		log.Fatalln(err)
	}

	config.Summarize()

	// Init tasks
	taskItems := []tasks.Tasker{
		tasks.NewGenerateJwtTokenTask(config),
		tasks.NewCurlLookupTask(),
		tasks.NewCodeSecurityScanTask(),
		tasks.NewListDevToolCommandTask(config),
	}

	tasks.ListCommandMenu(taskItems, "Which repository of action do you want operate:")
}
